Package org.openjump.core.ui.plugin.datastore.ocient

# Class OcientSQLBuilder

java.lang.Object
com.vividsolutions.jump.datastore.spatialdatabases.SpatialDatabasesSQLBuilder
org.openjump.core.ui.plugin.datastore.ocient.OcientSQLBuilder

    public class OcientSQLBuilder
    extends com.vividsolutions.jump.datastore.spatialdatabases.SpatialDatabasesSQLBuilder

Creates SQL query strings for a Spatial database. To be overloaded by classes implementing a spatial database support.

## Field Summary

### Fields inherited from class com.vividsolutions.jump.datastore.spatialdatabases.SpatialDatabasesSQLBuilder

`colNames, dbMetadata, defaultSRID`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`OcientSQLBuilder​(com.vividsolutions.jump.datastore.spatialdatabases.SpatialDatabasesDSMetadata dbMetadata, com.vividsolutions.jump.datastore.SpatialReferenceSystemID defaultSRID, String[] colNames)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`protected String` | `buildBoxFilter​(com.vividsolutions.jump.datastore.FilterQuery query)` |
`String` | `getCheckSQL​(com.vividsolutions.jump.datastore.DataStoreLayer dsLayer)` | Returns the query allowing to test a DataStoreLayer: builds a query with where clause and limit 0 to check where clause.
`protected String` | `getColumnListSpecifier​(String[] colNames, String geomColName)` | Returns the string representing a SQL column definition.
`String` | `getSQL​(com.vividsolutions.jump.datastore.FilterQuery query)` | Builds a valid SQL spatial query with the given spatial filter.

### Methods inherited from class com.vividsolutions.jump.datastore.spatialdatabases.SpatialDatabasesSQLBuilder

`getDbMetadata, getSRID`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OcientSQLBuilder

public OcientSQLBuilder​(com.vividsolutions.jump.datastore.spatialdatabases.SpatialDatabasesDSMetadata dbMetadata, com.vividsolutions.jump.datastore.SpatialReferenceSystemID defaultSRID, String[] colNames)

## Method Details

### getSQL

public String getSQL​(com.vividsolutions.jump.datastore.FilterQuery query)
Builds a valid SQL spatial query with the given spatial filter.

Overrides:
  `getSQL` in class `com.vividsolutions.jump.datastore.spatialdatabases.SpatialDatabasesSQLBuilder`
Parameters:
  `query` -
Returns:
  a SQL query to get column names

### getCheckSQL

public String getCheckSQL​(com.vividsolutions.jump.datastore.DataStoreLayer dsLayer)
Returns the query allowing to test a DataStoreLayer: builds a query with where clause and limit 0 to check where clause.

Overrides:
  `getCheckSQL` in class `com.vividsolutions.jump.datastore.spatialdatabases.SpatialDatabasesSQLBuilder`
Returns:

### getColumnListSpecifier

protected String getColumnListSpecifier​(String[] colNames, String geomColName)
Returns the string representing a SQL column definition. Implementors should take care of column names (case, quotes)

Overrides:
  `getColumnListSpecifier` in class `com.vividsolutions.jump.datastore.spatialdatabases.SpatialDatabasesSQLBuilder`
Parameters:
  `colNames` -
  `geomColName` -
Returns:
  column list

### buildBoxFilter

protected String buildBoxFilter​(com.vividsolutions.jump.datastore.FilterQuery query)

Overrides:
  `buildBoxFilter` in class `com.vividsolutions.jump.datastore.spatialdatabases.SpatialDatabasesSQLBuilder`